Loading...
Searching...
No Matches
QoreRecursiveThreadLock Class Reference

Implements a recursive lock. More...

`#include <QoreThreadLock.h>`

Inheritance diagram for QoreRecursiveThreadLock:
[legend]
Collaboration diagram for QoreRecursiveThreadLock:
[legend]

## Public Member Functions

DLLEXPORT | QoreRecursiveThreadLock ()
| Creates the object.
DLLLOCAL | QoreRecursiveThreadLock (const QoreRecursiveThreadLock &)
| Creates a new object (not based on the original lock status)
Public Member Functions inherited from QoreThreadLock
DLLLOCAL | QoreThreadLock ()
| creates the lock
DLLLOCAL | QoreThreadLock (const pthread_mutexattr_t *ma)
| creates the lock with the given attributes
DLLLOCAL | QoreThreadLock (const QoreThreadLock &)
| creates a new object (not based on the original lock status)
DLLLOCAL | ~QoreThreadLock ()
| destroys the lock
DLLLOCAL void | lock ()
| grabs the lock (assumes that the lock is unlocked) More...
DLLLOCAL int | trylock ()
| attempts to acquire the mutex and returns the status immediately; does not block More...
DLLLOCAL void | unlock ()
| releases the lock (assumes that the lock is locked) More...

## Detailed Description

Implements a recursive lock.

Since
  Qore 0.9.5

The documentation for this class was generated from the following file:

- include/qore/QoreThreadLock.h